import request from '@/utils/request'

// 查询学校批次关联列表
export function listMallSchoolBatchLink(query) {
  return request({
    url: '/mall/mallSchoolBatchLink/list',
    method: 'get',
    params: query
  })
}

// 查询学校批次关联详细
export function getMallSchoolBatchLink(schoolBatchId) {
  return request({
    url: '/mall/mallSchoolBatchLink/' + schoolBatchId,
    method: 'get'
  })
}

// 新增学校批次关联
export function addMallSchoolBatchLink(data) {
  return request({
    url: '/mall/mallSchoolBatchLink',
    method: 'post',
    data: data
  })
}

// 修改学校批次关联
export function updateMallSchoolBatchLink(data) {
  return request({
    url: '/mall/mallSchoolBatchLink',
    method: 'put',
    data: data
  })
}

// 删除学校批次关联
export function delMallSchoolBatchLink(schoolBatchId) {
  return request({
    url: '/mall/mallSchoolBatchLink/' + schoolBatchId,
    method: 'delete'
  })
}
